/*  XMLParseHandler.java -- XML parsing handler interface

    This is part of SecureFW project, protection interface for which allows controled usage of secured code.
    See http://www.svenda.com/petr/dpthesis/index.html for more information
    Copyright (C) 2004  Petr Svenda <petr@svenda.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Please, report any bugs to author <petr@svenda.com>
/**/

package com.svenda.SecureAlg;
import javacard.framework.*;

public interface XMLParseHandler {
//  public XMLParseHandler() {}

  // IMPLEMENTATION OF SAX DOC HANDLER

   /**
   * Called once at begin of document
   */
  public void startDocument();

  /**
   * Called once at end of document
   */
  public void endDocument();

  /**
   * Called when new XML tag or next attribut of tag is found
   * @param tag Name of XML tag
   * @param attributName Name of XML attribut
   * @param attributValue Value of XML attribut
   * @param newElement When true, than new tag is found. When false, than next attribut is found
   */
  public void startElement(CardString tag, CardString attributName, CardString attributValue, boolean newElement) throws Exception;
  /**
   * Called when no more attributs for actual XML tag are found
   * @param tag Name of XML tag
   */
  public void startElementFinal(CardString tag);
  public void endElement(CardString elem) throws Exception;
  public void text(CardString text) throws Exception;
}
